export declare const GameRelayEvents: {
    readonly "world:turn": import("zod").ZodObject<{
        weather: import("zod").ZodObject<{
            current: import("zod").ZodObject<{
                conditions: import("zod").ZodEnum<["blue lightning", "starfall", "full skies", "no sky", "moths... lots of moths", "cloudfall", "ducks", "a full moon", "ten full moons", "sunshine from a star long since forgotten", "dogs", "cats", "literally just rain", "moonbeams", "sunbeams", "auroras", "ghost showers", "red lightning", "purple lightning", "a bloodmoon", "twelve angry men", "reverse showers", "pumpkins", "pomegranite seeds", "more vibes than you'd expect", "a heavy ghost field", "a light ghost field", "quadruple rainbows", "silkwater rain", "acid storms"]>;
                temperature: import("zod").ZodEnum<["freezing", "cold", "chilly", "temperate", "pretty much normal", "room temp", "a tad humid", "temporal temps", "unfathomably nice", "perfect", "no temperature", "warm", "hot", "sweltering"]>;
                effects: import("zod").ZodArray<import("zod").ZodObject<{
                    system: import("zod").ZodString;
                    effect: import("zod").ZodString;
                }, "strip", import("zod").ZodTypeAny, {
                    system: string;
                    effect: string;
                }, {
                    system: string;
                    effect: string;
                }>, "many">;
                isCold: import("zod").ZodBoolean;
                isHot: import("zod").ZodBoolean;
                isGhostly: import("zod").ZodBoolean;
            }, "strip", import("zod").ZodTypeAny, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }>;
            forecast: import("zod").ZodArray<import("zod").ZodObject<{
                conditions: import("zod").ZodEnum<["blue lightning", "starfall", "full skies", "no sky", "moths... lots of moths", "cloudfall", "ducks", "a full moon", "ten full moons", "sunshine from a star long since forgotten", "dogs", "cats", "literally just rain", "moonbeams", "sunbeams", "auroras", "ghost showers", "red lightning", "purple lightning", "a bloodmoon", "twelve angry men", "reverse showers", "pumpkins", "pomegranite seeds", "more vibes than you'd expect", "a heavy ghost field", "a light ghost field", "quadruple rainbows", "silkwater rain", "acid storms"]>;
                temperature: import("zod").ZodEnum<["freezing", "cold", "chilly", "temperate", "pretty much normal", "room temp", "a tad humid", "temporal temps", "unfathomably nice", "perfect", "no temperature", "warm", "hot", "sweltering"]>;
                effects: import("zod").ZodArray<import("zod").ZodObject<{
                    system: import("zod").ZodString;
                    effect: import("zod").ZodString;
                }, "strip", import("zod").ZodTypeAny, {
                    system: string;
                    effect: string;
                }, {
                    system: string;
                    effect: string;
                }>, "many">;
                isCold: import("zod").ZodBoolean;
                isHot: import("zod").ZodBoolean;
                isGhostly: import("zod").ZodBoolean;
            }, "strip", import("zod").ZodTypeAny, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }>, "many">;
        }, "strip", import("zod").ZodTypeAny, {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        }, {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        }>;
        time: import("zod").ZodObject<{
            ticksSinceEpoch: import("zod").ZodNumber;
            daysSinceEpoch: import("zod").ZodNumber;
        }, "strip", import("zod").ZodTypeAny, {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        }, {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        }>;
    }, "strip", import("zod").ZodTypeAny, {
        weather: {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        };
        time: {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        };
    }, {
        weather: {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        };
        time: {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        };
    }>;
    readonly "world:daily-reset": import("zod").ZodObject<{
        weather: import("zod").ZodObject<{
            current: import("zod").ZodObject<{
                conditions: import("zod").ZodEnum<["blue lightning", "starfall", "full skies", "no sky", "moths... lots of moths", "cloudfall", "ducks", "a full moon", "ten full moons", "sunshine from a star long since forgotten", "dogs", "cats", "literally just rain", "moonbeams", "sunbeams", "auroras", "ghost showers", "red lightning", "purple lightning", "a bloodmoon", "twelve angry men", "reverse showers", "pumpkins", "pomegranite seeds", "more vibes than you'd expect", "a heavy ghost field", "a light ghost field", "quadruple rainbows", "silkwater rain", "acid storms"]>;
                temperature: import("zod").ZodEnum<["freezing", "cold", "chilly", "temperate", "pretty much normal", "room temp", "a tad humid", "temporal temps", "unfathomably nice", "perfect", "no temperature", "warm", "hot", "sweltering"]>;
                effects: import("zod").ZodArray<import("zod").ZodObject<{
                    system: import("zod").ZodString;
                    effect: import("zod").ZodString;
                }, "strip", import("zod").ZodTypeAny, {
                    system: string;
                    effect: string;
                }, {
                    system: string;
                    effect: string;
                }>, "many">;
                isCold: import("zod").ZodBoolean;
                isHot: import("zod").ZodBoolean;
                isGhostly: import("zod").ZodBoolean;
            }, "strip", import("zod").ZodTypeAny, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }>;
            forecast: import("zod").ZodArray<import("zod").ZodObject<{
                conditions: import("zod").ZodEnum<["blue lightning", "starfall", "full skies", "no sky", "moths... lots of moths", "cloudfall", "ducks", "a full moon", "ten full moons", "sunshine from a star long since forgotten", "dogs", "cats", "literally just rain", "moonbeams", "sunbeams", "auroras", "ghost showers", "red lightning", "purple lightning", "a bloodmoon", "twelve angry men", "reverse showers", "pumpkins", "pomegranite seeds", "more vibes than you'd expect", "a heavy ghost field", "a light ghost field", "quadruple rainbows", "silkwater rain", "acid storms"]>;
                temperature: import("zod").ZodEnum<["freezing", "cold", "chilly", "temperate", "pretty much normal", "room temp", "a tad humid", "temporal temps", "unfathomably nice", "perfect", "no temperature", "warm", "hot", "sweltering"]>;
                effects: import("zod").ZodArray<import("zod").ZodObject<{
                    system: import("zod").ZodString;
                    effect: import("zod").ZodString;
                }, "strip", import("zod").ZodTypeAny, {
                    system: string;
                    effect: string;
                }, {
                    system: string;
                    effect: string;
                }>, "many">;
                isCold: import("zod").ZodBoolean;
                isHot: import("zod").ZodBoolean;
                isGhostly: import("zod").ZodBoolean;
            }, "strip", import("zod").ZodTypeAny, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }>, "many">;
        }, "strip", import("zod").ZodTypeAny, {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        }, {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        }>;
        time: import("zod").ZodObject<{
            ticksSinceEpoch: import("zod").ZodNumber;
            daysSinceEpoch: import("zod").ZodNumber;
        }, "strip", import("zod").ZodTypeAny, {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        }, {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        }>;
    }, "strip", import("zod").ZodTypeAny, {
        weather: {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        };
        time: {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        };
    }, {
        weather: {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        };
        time: {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        };
    }>;
};
export type GameEventIdentifier = keyof typeof GameRelayEvents;
