export const CATEGORY_TITLES = {
    seed: "Seed",
    container: "Loot Container",
    consumable: "Consumable",
    redeemable: "Redeemable",
    cosmetic: "Trinket",
    card: "Trading Card",
    food: "Food",
    scroll: "Scroll",
    flower: "Flower",
    relic: "Relic",
    concoction: "Concoction",
    recipe: "Concoction Recipe",
    component: "Component",
};
export const CATEGORY_TITLES_PLURAL = {
    seed: "Seeds",
    container: "Loot Containers",
    consumable: "Consumables",
    redeemable: "Redeemables",
    cosmetic: "Trinkets",
    card: "Trading Cards",
    food: "Foods",
    scroll: "Scrolls",
    flower: "Flowers",
    relic: "Relics",
    concoction: "Concoctions",
    recipe: "Concoction Recipes",
    component: "Components",
};
export function itemCategoryTitle(category) {
    return CATEGORY_TITLES[category];
}
export function itemCategoryTitlePlural(category) {
    return CATEGORY_TITLES_PLURAL[category];
}
