import { z } from "zod";
export declare const CamperHandleSchema: z.ZodBranded<z.ZodString, "CamperHandle">;
export type CamperHandle = z.infer<typeof CamperHandleSchema>;
export declare const CamperDisplayNameSchema: z.ZodBranded<z.ZodString, "CamperDisplayName">;
export type CamperDisplayName = z.infer<typeof CamperDisplayNameSchema>;
export declare const PronounStringSchema: z.ZodBranded<z.ZodString, "PronounString">;
export type PronounString = z.infer<typeof PronounStringSchema>;
export declare const ColorStringSchema: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
export type ColorString = z.infer<typeof ColorStringSchema>;
export declare const TimestampStringSchema: z.ZodBranded<z.ZodString, "TimestampString">;
export type TimestampString = z.infer<typeof TimestampStringSchema>;
export declare const URLStringSchema: z.ZodBranded<z.ZodString, "URLString">;
export type URLString = z.infer<typeof URLStringSchema>;
export declare const TaglineStringSchema: z.ZodBranded<z.ZodString, "TaglineString">;
export type TaglineString = z.infer<typeof TaglineStringSchema>;
