import { ConcoctionImages, ItemImages } from "../../assets";
export const BOTANY_ITEMS = {
    silkwaterJug: {
        slug: "silkwaterJug",
        name: "Silkwater Jug",
        description: "A jug of fresh Silkwater. Use it to add 50 Silkwater to your reserves.",
        flavorText: "It'll keep your plants happy, but between us? Tastes pretty good, too.",
        icon: ItemImages.SilkwaterJug,
        value: 30,
        category: "consumable",
        canBeUsed: true,
        rarity: "common",
        dropIcon: "💧",
    },
    silkwaterJugLarge: {
        slug: "silkwaterJugLarge",
        name: "Silkwater Barrel",
        description: "A whole huge barrel of Silkwater. Use it to add 500 Silkwater to your reserves.",
        flavorText: "The barrel itself is just a rental",
        icon: ItemImages.SilkwaterBarrel,
        value: 300,
        category: "consumable",
        canBeUsed: true,
        rarity: "uncommon",
        dropIcon: "💧",
    },
    fourthDimensionalPlantFood: {
        slug: "fourthDimensionalPlantFood",
        name: "4th Dimensional Plant Food",
        description: "Plant food unbound from the linear flow of time. Use it on a plant to advance it's growth by 1 turn.",
        flavorText: "Time is an illusion. And so are plants.",
        icon: ConcoctionImages.FourthDimensionalPlantFood,
        value: 500,
        category: "concoction",
        canBeUsed: true,
        canUseInBotany: true,
        rarity: "rare",
        dropIcon: "🌱",
    },
    cracklingRainmeter: {
        slug: "cracklingRainmeter",
        name: "Crackling Rainmeter",
        description: "It is bursting with meteorological resonance. Use it to clear Acid Storms from the forecast.",
        flavorText: "Note: may cause electricution. May also cause unlectrocution.",
        icon: ItemImages.CracklingRainmeter,
        value: 75,
        category: "consumable",
        canBeUsed: true,
        rarity: "uncommon",
        dropIcon: "⚡",
    },
    swirlingStormwrangler: {
        slug: "swirlingStormwrangler",
        name: "Swirling Stormwrangler",
        description: "A marvelous fusion of technology and magic. Use this to replace all Acid Storms with Silkwater Rain in the forecast.",
        flavorText: "It's like a little weather wizard in your pocket.",
        icon: ItemImages.SwirlingStormwrangler,
        value: 350,
        category: "consumable",
        canBeUsed: true,
        rarity: "rare",
        dropIcon: "🌧️",
    },
};
