import { ItemImages } from "../../assets";
export const COSMETIC_ITEMS = {
    cosmicPinwheel: {
        slug: "cosmicPinwheel",
        name: "Cosmic Pinwheel",
        description: "A spinning pinwheel toy whose blades seem to contain the cosmos. Might be worth selling for a few Conduits.",
        icon: ItemImages.CosmicPinwheel,
        value: 25,
        category: "cosmetic",
        rarity: "common",
        flavorText: "",
        dropIcon: "🌀",
    },
    discardedJacket: {
        slug: "discardedJacket",
        name: "Discarded Jacket",
        description: "These were once standard issue from the camp, but they were discontinued. Some of them are still scattered about. The Camp Store is paying a bounty for them to keep things litter-free, so best to sell it.",
        icon: ItemImages.DiscardedJacket,
        value: 20,
        category: "cosmetic",
        rarity: "common",
        flavorText: "",
        dropIcon: "🧥",
    },
    trident: {
        slug: "trident",
        name: "Trident",
        description: "I wonder who dropped this? Regardless, these things are fairly powerful. Could fetch a decent price if you sold it to the Camp Store.",
        icon: ItemImages.Trident,
        value: 50,
        category: "cosmetic",
        rarity: "uncommon",
        flavorText: "",
        dropIcon: "🔱",
    },
    goldLeaf: {
        slug: "goldLeaf",
        name: "Gold Leaf",
        description: "A leaf made of pure gold! Probably worth a few conduits...",
        icon: ItemImages.GoldLeaf,
        value: 100,
        category: "cosmetic",
        rarity: "uncommon",
        flavorText: "",
        dropIcon: "🍂",
    },
    doubloon: {
        slug: "doubloon",
        name: "Pirate's Doubloon",
        description: "A shining gold doubloon! Worth a good few Conduits.",
        icon: ItemImages.Doubloon,
        value: 220,
        category: "cosmetic",
        rarity: "rare",
        flavorText: "",
        dropIcon: "💰",
    },
};
