import { FlowerImages } from "../../assets";
export const FLOWER_ITEMS = {
    harvestedObsidianRose: {
        slug: "harvestedObsidianRose",
        name: "Obsidian Rose",
        description: "A hard, dense flower made of obsidian. Would make an excellent offering to the Obsidian Giants.",
        icon: FlowerImages.ObsidianRose,
        value: 120,
        category: "redeemable",
        canBeUsed: true,
        rarity: "rare",
        flavorText: "",
        dropIcon: "🌹",
    },
    harvestedSmoulderingRose: {
        slug: "harvestedSmoulderingRose",
        name: "Smouldering Rose",
        description: "It hasnt yet cooled down. Still! It almost seems to be getting warmer. Would make an excellent offering to the Obsidian Giants.",
        icon: FlowerImages.SmoulderingRose,
        value: 250,
        category: "redeemable",
        canBeUsed: true,
        rarity: "rare",
        flavorText: "",
        dropIcon: "🌹",
    },
    harvestedRitualPumpkin: {
        slug: "harvestedRitualPumpkin",
        name: "Ritual Pumpkin",
        description: "As it grew, it made its own face and began to glow all on its own.",
        icon: FlowerImages.RitualPumpkin,
        value: 75,
        category: "redeemable",
        rarity: "uncommon",
        flavorText: "",
        dropIcon: "🎃",
    },
    harvestedTrophyThistle: {
        slug: "harvestedTrophyThistle",
        name: "Trophy Thistle",
        description: "A golden thistle brimming with life and light.",
        icon: FlowerImages.TrophyThistle,
        value: 31000,
        category: "flower",
        rarity: "rare",
        flavorText: "",
        dropIcon: "🌸",
    },
};
