import { ItemImages } from "../../assets";
export const REDEEMABLE_ITEMS = {
    cosmicSocks: {
        slug: "cosmicSocks",
        name: "Cosmic Socks",
        description: "A cozy looking pair of socks, but made out of the cosmos? Not sure how that works, but I bet they'd add a bit of cosmic _flair_ if you put 'em on.",
        icon: ItemImages.CosmicSocks,
        value: 75,
        category: "redeemable",
        canBeUsed: true,
        dropIcon: "🧦",
        flavorText: "",
        rarity: "common",
    },
    compositionNotebook: {
        slug: "compositionNotebook",
        name: "Composition Notebook",
        description: "A notebook with a cosmic design on the cover. The empty pages are just begging to have a Chemistry recipe scribed into them.",
        icon: ItemImages.CompositionNotebook,
        value: 300,
        category: "redeemable",
        dropIcon: "📓",
        flavorText: "The marbled cover truly stands the test of time",
        rarity: "common",
    },
};
