import { z } from "zod";
import { ITEM_SLUGS } from "./items";
/**************
 * SHOP STOCK *
 **************/
export const STOCK_ITEMS_STATIC = ["tcGen1GillroyFoil"];
export const STOCK_ITEMS_COMMON_POOL = [
    "astralMangoTreeSeed",
    "bansheeBerry",
    "compositionNotebook",
    "cosmicSocks",
    "cracklingRainmeter",
    "crystalGeode",
    "flaskSmall",
    "leafPile",
    "mundaneSeed",
    "mysticMorel",
    "otherworldlyOnion",
    "quantumSeed",
    "rainbowLotusSeed",
    "seedPouch",
    "silkwaterJug",
    "silkwaterJugLarge",
    "smoulderingRoseSeed",
    "spectralPapayaTreeSeed",
    "stardustBag",
    "stardustBag",
    "stardustBlossomSeed",
    "tcBoosterPackGen1Common",
    "timerootBark",
    "treasureChest",
    "trident",
    "wanderingIceSeed",
    "spritzBottle",
    "randomScrap",
    "mermaidScale",
    // --- Recipes ---
    "recipeFourthDimensionalPlantFood",
    "recipeLiquidWanderingIce",
    "recipeSolidLiquidWanderingIce",
    "recipeLightningInABottle",
    "recipeSoulWater",
    "recipeSilkwaterMist",
    "recipeQuantumSeed",
    "recipeFourthDimensionalPlantFood",
];
export const STOCK_ITEMS_RARE_POOL = [
    "tcBoosterPackGen1Full",
    "tcBoosterPackGen2Drop1",
    "trophyThistleSeed",
    "scrollOfGreaterCultivation",
    "scrollOfCultivation",
];
export const FULL_ITEM_POOL = [
    ...STOCK_ITEMS_STATIC,
    ...STOCK_ITEMS_COMMON_POOL,
    ...STOCK_ITEMS_RARE_POOL,
];
/**********
 * SHAPES *
 **********/
export const ShopStockEntryShcema = z.object({
    slug: z.enum(ITEM_SLUGS),
    valueModifier: z.number(),
    originalValue: z.number(),
    purchasePrice: z.number(),
    valueDifference: z.number(),
});
