import { z } from "zod";
import { DiscordRelayEvents } from "./discord";
import { GameRelayEvents, PortentRelayEvents } from "./game";
import { MastodonRelayEvents } from "./mastodon";
import { TwitchRelayEvents } from "./twitch";
import { VibeCheckRelayEvents } from "./vibe-check";
export const RelayEvents = {
    ...DiscordRelayEvents,
    ...GameRelayEvents,
    ...MastodonRelayEvents,
    ...PortentRelayEvents,
    ...TwitchRelayEvents,
    ...VibeCheckRelayEvents,
};
export const GenericRelayEventSchema = z.object({
    eventName: z.string(),
    payload: z.unknown(),
});
