/**
 * Selects a random element from the given array. Ensures an extant return value.
 *
 * @param {T[]} arr The array to sample from.
 * @returns {T} A randomly selected element from the array.
 * @throws {Error} If the array is empty or the selected element is undefined.
 */
export declare function pickOne<T>(arr: T[] | readonly T[]): T;
